## AnjutaTabber

AnjutaTabber — Tab widget

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | anjuta_tabber_new ()
void | anjuta_tabber_add_tab ()
void | anjuta_tabber_prepend_tab ()

## Properties

GObject * | notebook | Write / Construct Only

## Types and Values

| AnjutaTabberPriv

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── AnjutaTabber

## Includes

    #include <libanjuta/anjuta-tabber.h>

## Description

## Functions

### anjuta_tabber_new ()

    GtkWidget *
    anjuta_tabber_new (GtkNotebook *notebook);

Creates a new AnjutaTabber widget

#### Parameters

notebook | the GtkNotebook the tabber should be associated with |

#### Returns

newly created AnjutaTabber widget

### anjuta_tabber_add_tab ()

    void
    anjuta_tabber_add_tab (AnjutaTabber *tabber,
                           GtkWidget *tab_label);

Append a tab to the AnjutaTabber widget

#### Parameters

tabber | a AnjutaTabber widget |
tab_label | widget used as tab label |

### anjuta_tabber_prepend_tab ()

    void
    anjuta_tabber_prepend_tab (AnjutaTabber *tabber,
                               GtkWidget *tab_label);

Prepend a tab to the AnjutaTabber widget

#### Parameters

tabber | a AnjutaTabber widget |
tab_label | widget used as tab label |

## Types and Values

### AnjutaTabberPriv

    typedef struct _AnjutaTabberPriv AnjutaTabberPriv;

## Property Details

### The `“notebook”` property

      “notebook”                 GObject *

GtkNotebook the tabber is associated with.

Flags: Write / Construct Only